RSM Phase Il - Support #574

[Profile] Penambahan fungsi Authorization
11/23/2021 01:54 PM - Kezia Pawitra Yulianti

Status: Deploy
Priority: Urgent
Assignee: Tri Rizqiaty
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

11/23/2021
11/26/2021
0%

0.00 hour
0.00 hour

Description

Dear Yomma,

minta tolong untuk dapat dibuatkan penambahan fungsi untuk membaca profile untuk kebutuhan authorization pada transaksi dan

report.

1. Saat ini sudah ditambahkan 2 field pd authorization object yaotu LOB dan Division.

2. Report yang bisa di coba untuk authorization ini adalah menu Report Employee History (PARQ7)
3. Combo box yang tampil disesuaikan dgn authorization yang di setting
4. Jika authorize untuk all combobox, maka di dalam parameter akan diisi dengan tanda * dan pilihan combo box menjadi 'All'

karena nantinya selection kedua field itu menjadi mandatory

Kalau ada yg msh kurang dr settingan tolong diinfo2 yaa, Thanks

History

#1 - 11/23/2021 01:55 PM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

#2 - 11/24/2021 11:15 AM - Tri Rizqiaty

- Status changed from Assigned to Developing

#3 - 11/24/2021 04:16 PM - Kezia Pawitra Yulianti

Dear Yomma,
sesuai diskusi sbb:

1. Untuk Authorization Object di SMENU tidak perlu dijadikan key, namun yg jd key adalah Aut Object yg ada di SUSERPROFILE
2. Tiap user bisa memiliki lebih dari 1 profile dgn auth obj yg sama tp berbeda value

Tks

#4 - 11/25/2021 10:01 AM - Kezia Pawitra Yulianti

Koreksi ya Yoms,

1. jadinya untuk Auth Object harus sama antara yg ada di SMENU dgn yg ada di CUSTPROFILE

2. yg boleh berbeda adalah ProfileID dan Value dr tiap2 profile tsb

Tks

#5 - 11/30/2021 05:02 PM - Tri Rizqiaty
Fixing :
1. Update API - bin : MinovalS.MinovaES.Business.AuthorizationObject.dll

2. Update API - bin : MinovalS.MinovaES.Business.AuthorizationObject.dll
3. Create SP : PDSHRLISTAUTHOBJECT

#6 - 11/30/2021 05:02 PM - Tri Rizqiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqgiaty to Kezia Pawitra Yulianti

#7 - 02/02/2022 03:03 PM - Kezia Pawitra Yulianti
- Status changed from QA Test to Deploy

- Assignee changed from Kezia Pawitra Yulianti to Tri Rizqiaty
